Main Page Namespace List Class Hierarchy Compound List Compound Members

# qdbm::Depot_error Class Reference

Inheritance diagram for qdbm::Depot_error:

List of all members.

## Detailed Description

Error container for Depot.

## Public Member Functions

| Depot_error () throw ()
| Create an instance.
| Depot_error (int ecode) throw ()
| Create an instance.
| Depot_error (const Depot_error &de) throw ()
| Copy constructor.
virtual | ~Depot_error () throw ()
| Release resources of the instance.
virtual Depot_error & | operator= (const Depot_error &de) throw ()
| Assignment operator.
virtual Depot_error & | operator= (int ecode) throw ()
| Assignment operator.
virtual bool | operator== (const Depot_error &de) const throw ()
| Equality operator.
virtual bool | operator!= (const Depot_error &de) const throw ()
| Inequality operator.
virtual bool | operator== (int ecode) const throw ()
| Equality operator.
virtual bool | operator!= (int ecode) const throw ()
| Inequality operator.
virtual int | code () const throw ()
| Get the error code.
virtual const char * | message () const throw ()
| Get the error message.

## Constructor & Destructor Documentation

qdbm::Depot_error::Depot_error | ( | int | ecode | ) | throw ()

Create an instance.

Parameters:

  ecode | the error code.

qdbm::Depot_error::Depot_error | ( | const Depot_error & | de | ) | throw ()

Copy constructor.

Parameters:

  de | a source instance.

## Member Function Documentation

virtual int qdbm::Depot_error::code | ( |  | ) | const throw ()`[virtual]`

Get the error code.

Returns:
  the error code.

virtual const char* qdbm::Depot_error::message | ( |  | ) | const throw ()`[virtual]`

Get the error message.

Returns:
  the string.

Reimplemented from qdbm::DBM_error.

virtual bool qdbm::Depot_error::operator!= | ( | int | ecode | ) | const throw ()`[virtual]`

Inequality operator.

Parameters:

  ecode | a comparing error code.

Returns:
  true if the both do not equal, else, false.

virtual bool qdbm::Depot_error::operator!= | ( | const Depot_error & | de | ) | const throw ()`[virtual]`

Inequality operator.

Parameters:

  de | a comparing instance.

Returns:
  true if the both do not equal, else, false.

virtual Depot_error& qdbm::Depot_error::operator= | ( | int | ecode | ) | throw ()`[virtual]`

Assignment operator.

Parameters:

  ecode | the error code.

Returns:
  reference to itself.

virtual Depot_error& qdbm::Depot_error::operator= | ( | const Depot_error & | de | ) | throw ()`[virtual]`

Assignment operator.

Parameters:

  de | a source instance.

Returns:
  reference to itself.

virtual bool qdbm::Depot_error::operator== | ( | int | ecode | ) | const throw ()`[virtual]`

Equality operator.

Parameters:

  ecode | a comparing error code.

Returns:
  true if the both equal, else, false.

virtual bool qdbm::Depot_error::operator== | ( | const Depot_error & | de | ) | const throw ()`[virtual]`

Equality operator.

Parameters:

  de | a comparing instance.

Returns:
  true if the both equal, else, false.

The documentation for this class was generated from the following file:

- xdepot.h